using System.Collections.Generic;

using skydiveLogs_api.Domain;


namespace skydiveLogs_api.Business.Interfaces
{
    public interface IGearService
    {
        IEnumerable<Gear> GetAllGears(User connectedUser);

        Gear GetGearById(int id);

        void DeleteGearById(int id);

        void UpdateGear(int id, Gear gear);

        void AddNewGear(Gear gear, User connectedUser);
    }
}
